"use strict";
const common_vendor = require("../../common/vendor.js");
const sheep_api_promotion_article = require("../../sheep/api/promotion/article.js");
require("../../sheep/request/index.js");
require("../../sheep/config/index.js");
require("../../sheep/store/index.js");
require("../../sheep/store/app.js");
require("../../sheep/api/promotion/diy.js");
require("../../sheep/platform/index.js");
require("../../sheep/platform/provider/wechat/index.js");
require("../../sheep/platform/provider/wechat/miniProgram.js");
require("../../sheep/api/member/auth.js");
require("../../sheep/api/member/social.js");
require("../../sheep/api/member/user.js");
require("../../sheep/platform/provider/apple/index.js");
require("../../sheep/platform/share.js");
require("../../sheep/router/index.js");
require("../../sheep/hooks/useModal.js");
require("../../sheep/helper/index.js");
require("../../sheep/helper/test.js");
require("../../sheep/helper/digit.js");
require("../../sheep/helper/throttle.js");
require("../../sheep/url/index.js");
require("../../sheep/platform/pay.js");
require("../../sheep/index.js");
require("../../sheep/config/zIndex.js");
require("../../sheep/api/pay/order.js");
require("../../sheep/store/user.js");
require("../../sheep/store/cart.js");
require("../../sheep/api/trade/cart.js");
require("../../sheep/api/pay/wallet.js");
require("../../sheep/api/trade/order.js");
require("../../sheep/api/promotion/coupon.js");
require("../../sheep/store/sys.js");
require("../../sheep/store/modal.js");
if (!Array) {
  const _easycom_mp_html2 = common_vendor.resolveComponent("mp-html");
  const _easycom_s_layout2 = common_vendor.resolveComponent("s-layout");
  (_easycom_mp_html2 + _easycom_s_layout2)();
}
const _easycom_mp_html = () => "../../uni_modules/mp-html/components/mp-html/mp-html.js";
const _easycom_s_layout = () => "../../sheep/components/s-layout/s-layout.js";
if (!Math) {
  (_easycom_mp_html + _easycom_s_layout)();
}
const _sfc_main = {
  __name: "richtext",
  setup(__props) {
    const state = common_vendor.reactive({
      title: "",
      content: ""
    });
    async function getRichTextContent(id, title) {
      const { code, data } = await sheep_api_promotion_article.ArticleApi.getArticle(id, title);
      if (code !== 0) {
        return;
      }
      state.content = data.content;
      if (state.title !== data.title) {
        state.title = data.title;
        common_vendor.index.setNavigationBarTitle({
          title: state.title
        });
      }
    }
    common_vendor.onLoad((options) => {
      if (options.title) {
        state.title = options.title;
        common_vendor.index.setNavigationBarTitle({
          title: state.title
        });
      }
      getRichTextContent(options.id, options.title);
    });
    return (_ctx, _cache) => {
      return {
        a: common_vendor.p({
          content: state.content
        }),
        b: common_vendor.p({
          title: state.title,
          bgStyle: {
            color: "#FFF"
          }
        })
      };
    };
  }
};
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-bc551482"], ["__file", "/Users/RuHu.Xu/Desktop/mall-newfeifan-zx-app/pages/public/richtext.vue"]]);
wx.createPage(MiniProgramPage);
